CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

AutoTrackingVecColor Property (ActiveX)

2023-1-3 22:00| 发布者: admin| 查看: 357| 评论: 0|来自: AutoCAD

摘要: 指定自动跟踪矢量的颜色。

指定自动跟踪矢量的颜色。

支持的平台:仅窗口

签名

工 务 局:

object.AutoTrackingVecColor
对象

类型:首选项起草

此属性适用的对象。

属性值

只读:

类型:OLE_COLOR(常量)

  • vbBlack
  • vbRed
  • vbYellow
  • vbGreen
  • vbCyan
  • vbBlue
  • vbMagenta
  • vbWhite

言论

此属性的默认颜色为。vbWhite

例子

工 务 局:

Sub Example_AutoTrackingVecColor()
    ' This example reads and modifies the preference value that controls
    ' the color of the AutoTrack vector. When finished, this example
    ' resets the preference value back to its original value.
    
    Dim ACADPref As AcadPreferencesDisplay
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the display preferences object
    Set ACADPref = ThisDrawing.Application.preferences.DISPLAY
    
    ' Read and display the original value
    originalValue = ACADPref.AutoTrackingVecColor
    MsgBox "The AutoTrackingVecColor preference is: " & originalValue

    ' Modify the AutoTrackingVecColor preference by making it red
    ACADPref.AutoTrackingVecColor = vbRed
    newValue = ACADPref.AutoTrackingVecColor
    MsgBox "The AutoTrackingVecColor preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.AutoTrackingVecColor = originalValue
    MsgBox "The AutoTrackingVecColor preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_AutoTrackingVecColor()
    ;; This example reads and modifies the preference value that controls
    ;; the color of the AutoTrack vector. When finished, this example
    ;; resets the preference value back to its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
  
    ;; Get the Display preferences object
    (setq ACADPref (vla-get-Display preferences))
    
    ;; Read and display the original value
    (setq originalValue (vlax-variant-change-type (vla-get-AutoTrackingVecColor ACADPref) vlax-vbLong))
    (alert (strcat "The AutoTrackingVecColor preference is: " (itoa (vlax-variant-value originalValue))))

    ;; Modify the AutoTrackingVecColor preference by making it red
    (vla-put-AutoTrackingVecColor ACADPref (vlax-make-variant acRed 19))
    (setq newValue (vlax-variant-change-type (vla-get-AutoTrackingVecColor ACADPref) vlax-vbLong))
    (alert (strcat "The AutoTrackingVecColor preference has been set to: " (itoa (vlax-variant-value newValue))))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-AutoTrackingVecColor ACADPref (vlax-variant-change-type originalValue 19)) 
    (alert (strcat "The AutoTrackingVecColor preference was reset back to: " (itoa (vlax-variant-value originalValue))))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 10:15

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部